<?php

App::uses('BuzzGalleryAppController', 'BuzzGallery.Controller');

class GalleryImagesController extends BuzzGalleryAppController {

	public $components = array(
		'BuzzTranslate.Translation' => array(
			'fields' => array(
				'caption'
			)
		)
	);

/**
 * Admin add/edit
 *
 * @param int $id
 * @return void
 */
	public function admin_edit($id = null) {
		parent::admin_edit($id);
		$this->Translation->adminTranslationFormFields();
		return;
	}

/**
 * Admin form fields
 *
 * @return array
 */
	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		$newFields['Gallery.Gallery'] = array(
			'label' => __('Galleries'),
			'type' => 'multicheck'
		);

		$fields = ArrayUtil::addAfter($fields, 'GalleryImage.caption', $newFields);

		return $fields;
	}

/**
 * Populate admin lookups
 *
 * @return void
 */
	protected function _adminPopulateLookups() {
		$GalleryImage = $this->{$this->modelClass};

		$this->set('galleries', $GalleryImage->Gallery->find('list'));

		return;
	}

}
